/**
 * @file development/issues/open/200.mjs
 * @url https://gitlab.schukai.com/oss/libraries/javascript/monster/-/issues/200
 * @description Reloading options in a select does not work
 * @issue 200
 */

import "../../../source/components/style/property.pcss";
import "../../../source/components/style/normalize.pcss";
import "../../../source/components/style/typography.pcss";
import "../../../source/components/style/link.pcss";
import "../../../source/components/style/color.pcss";
import "../../../source/components/form/select.mjs";


document.querySelector("#load-next").addEventListener("click", (e) => {

    const json1 = "/issue-200-1.json"
    const json2 = "/issue-200-2.json"

    const select = document.querySelector("monster-select");
    console.log(select.getOption("url") === json1)
    select.setOption("url", select.getOption("url") === json1 ? json2 : json1);
    select.fetch();
})