/**
* @file development/issues/open/269.mjs
* @url https://gitlab.schukai.com/oss/libraries/javascript/monster/-/issues/269
* @description optimize message and notify
* @issue 269
*/

import "../../../source/components/style/property.pcss";
import "../../../source/components/style/link.pcss";
import "../../../source/components/style/color.pcss";
import "../../../source/components/style/theme.pcss";
import "../../../source/components/style/normalize.pcss";
import "../../../source/components/style/typography.pcss";
import "../../../source/components/notify/notify.mjs";
import "../../../source/components/notify/message.mjs";


const notify = document.getElementById('notify');
notify.push("sdfsdfsdf")

const xhr = new XMLHttpRequest();
xhr.open('POST', '/upload');

xhr.upload.addEventListener('progress', (e) => {
    if (e.lengthComputable) {
        const percentComplete = (e.loaded / e.total) * 100;
        console.log(`Upload-Fortschritt: ${percentComplete}%`);
    }
});

const formData = new FormData();

xhr.send(formData);
