/**
* @file development/issues/open/270.mjs
* @url https://gitlab.schukai.com/oss/libraries/javascript/monster/-/issues/270
* @description update and optimize data-bind
* @issue 270
*/

import "../../../source/components/style/property.pcss";
import "../../../source/components/style/link.pcss";
import "../../../source/components/style/color.pcss";
import "../../../source/components/style/theme.pcss";
import "../../../source/components/style/normalize.pcss";
import "../../../source/components/style/typography.pcss";
import "../../../source/components/state/log.mjs";
import {Entry} from "../../../source/components/state/log/entry.mjs";



const element = document.getElementById('Bai3A')

element.addEntry(new Entry({title: "Test", message: "Test", user: "Administrator", date: new Date()}))

const for10MinutesDate = new Date();
for10MinutesDate.setMinutes(for10MinutesDate.getMinutes() - 10);

element.addEntry(new Entry({title: "Test", message: "Test" , user: "Hans Meier", date: for10MinutesDate}))

const for1HourAnd16MinutesDate = new Date();
for1HourAnd16MinutesDate.setHours(for1HourAnd16MinutesDate.getHours() - 1);
for1HourAnd16MinutesDate.setMinutes(for1HourAnd16MinutesDate.getMinutes() - 16);

element.addEntry(new Entry({title: "Test", message: "Test", user: "Administrator", date: for1HourAnd16MinutesDate}))

const for10Days5HoursAnd30MinutesDate = new Date();
for10Days5HoursAnd30MinutesDate.setDate(for10Days5HoursAnd30MinutesDate.getDate() - 10);
for10Days5HoursAnd30MinutesDate.setHours(for10Days5HoursAnd30MinutesDate.getHours() - 5);
for10Days5HoursAnd30MinutesDate.setMinutes(for10Days5HoursAnd30MinutesDate.getMinutes() - 30);

element.addEntry(new Entry({title: "Test", message: "Test", user: "Fritz Müller", date: for10Days5HoursAnd30MinutesDate}))

const for1Year2MonthsAnd3DaysDate = new Date();
for1Year2MonthsAnd3DaysDate.setFullYear(for1Year2MonthsAnd3DaysDate.getFullYear() - 1);
for1Year2MonthsAnd3DaysDate.setMonth(for1Year2MonthsAnd3DaysDate.getMonth() - 2);
for1Year2MonthsAnd3DaysDate.setDate(for1Year2MonthsAnd3DaysDate.getDate() - 3);

element.addEntry(new Entry({title: "Test", message: "Test", user: "Administrator", date: for1Year2MonthsAnd3DaysDate}))


setTimeout(() => {
    element.addEntry(new Entry({title: "Test", message: "Test", user: "Administrator", date: new Date()}))


    setTimeout(() => {
        element.addEntry(new Entry({title: "Test", message: "Test", user: "Administrator", date: new Date()}))
    }, 3000);

}, 3000);