/**
* @file development/issues/open/292.mjs
* @url https://gitlab.schukai.com/oss/libraries/javascript/monster/-/issues/292
* @description new transformer command for lists
* @issue 292
*/

import "../../../source/components/style/property.pcss";
import "../../../source/components/style/link.pcss";
import "../../../source/components/style/color.pcss";
import "../../../source/components/style/theme.pcss";
import "../../../source/components/style/normalize.pcss";
import "../../../source/components/style/typography.pcss";
import {Transformer} from "../../../source/data/transformer.mjs";


const transformer = new Transformer("listtoarray");
console.log(transformer.run("1,2,3,4"));


const transformer2 = new Transformer("arraytolist");
console.log(transformer2.run([1,2,3,4]));


const transformer3 = new Transformer("default::array");
console.log(transformer3.run(undefined));
