/**
 * @file development/issues/open/217.mjs
 * @url https://gitlab.schukai.com/oss/libraries/javascript/monster/-/issues/217
 * @description only try to transfer the part that has been changed
 * @issue 217
 */

import "../../../source/components/style/property.pcss";
import "../../../source/components/style/color.pcss";
import "../../../source/components/style/normalize.pcss";
import "../../../source/components/style/typography.pcss";
import "../../../source/components/style/form.pcss";

import "../../../source/components/datatable/datasource/rest.mjs";
import "../../../source/components/datatable/save-button.mjs";
import "../../../source/components/form/form.mjs";
import "../../../source/components/form/field-set.mjs";
import "../../../source/components/form/select.mjs";
import "../../../source/components/form/context-help.mjs";
import "../../../source/components/form/context-error.mjs";
import {domReady} from "../../../source/dom/ready.mjs";

domReady.then(() => {

    const element = document.getElementById("field4");
    console.log(element);
    setTimeout(() => {
        element.value = "x";
    },100);
    element.value = "x";


});

