/**
 * @file development/issues/open/191.mjs
 * @url https://gitlab.schukai.com/oss/libraries/javascript/monster/-/issues/191
 * @description optimize tree-menu
 * @issue 223
 */

import "../../../source/components/style/property.pcss";
import "../../../source/components/style/color.pcss";
import "../../../source/components/style/link.pcss";
import "../../../source/components/style/form.pcss";
import "../../../source/components/style/normalize.pcss";
import "../../../source/components/style/typography.pcss";
import "../../../source/components/tree-menu/tree-menu.mjs";
import "../../../source/components/layout/split-panel.mjs";
import "../../../source/components/layout/panel.mjs";
import "../../../source/components/form/form.mjs";
import "../../../source/components/form/select.mjs";
import "../../../source/components/form/field-set.mjs";


const select = document.getElementById('last-select');
select.setOption('mapping.labelTemplate', '${name} (${alpha-2})')
select.setOption('mapping.valueTemplate', '${country-code}')
select.importOptions([
    {
        "name": "United Kingdom",
        "alpha-2": "GB",
        "country-code": "826",
    },
    {
        "name": "Sweden",
        "alpha-2": "SE",
        "country-code": "752",

    },
    {
        "name": "Germany",
        "alpha-2": "DE",
        "country-code": "276",
    }
]);



const select2 = document.getElementById('last-select2');
select2.setOption('mapping.labelTemplate', '${name} (${alpha-2})')
select2.setOption('mapping.valueTemplate', '${country-code}')
select2.importOptions([
    {
        "name": "United Kingdom",
        "alpha-2": "GB",
        "country-code": "826",
    },
    {
        "name": "Sweden",
        "alpha-2": "SE",
        "country-code": "752",

    },
    {
        "name": "Germany",
        "alpha-2": "DE",
        "country-code": "276",
    }
]);




