/**
* @file development/issues/open/225.mjs
* @url https://gitlab.schukai.com/oss/libraries/javascript/monster/-/issues/225
* @description optimize the use of nested binds
* @issue 225
*/

import "../../../source/components/style/property.pcss";
import "../../../source/components/style/link.pcss";
import "../../../source/components/style/color.pcss";
import "../../../source/components/style/theme.pcss";
import "../../../source/components/style/normalize.pcss";
import "../../../source/components/style/typography.pcss";

import {Updater} from '../../../source/dom/updater.mjs';


const body = document.querySelector('main');

let obj = {
    counter: 2,
};



const updater = new Updater(body, obj);
const subject = updater.getSubject();
//updater.enableEventProcessing()

updater.run();



setTimeout(() => {
    subject['counter'] = 9;
}, 1000);



