/**
* @file development/issues/open/255.mjs
* @url https://gitlab.schukai.com/oss/libraries/javascript/monster/-/issues/255
* @description disable false for message-state-button does not work
* @issue 255
*/

import "../../../source/components/style/property.pcss";
import "../../../source/components/style/link.pcss";
import "../../../source/components/style/color.pcss";
import "../../../source/components/style/theme.pcss";
import "../../../source/components/style/normalize.pcss";
import "../../../source/components/style/typography.pcss";
import "../../../source/components/form/message-state-button.mjs";

document.addEventListener("DOMContentLoaded", () => {
    const button = document.querySelector("monster-message-state-button");
    console.log(button);
    
    setTimeout(() => {
        button.setOption("features.disableButton", true);
        console.log(button.getOption("features.disableButton"));
        
        setTimeout(() => {
            button.setOption("features.disableButton", false);
            console.log(button.getOption("features.disableButton"));
        }, 4000);
        
    }, 4000);
    

});