/**
 * @file development/issues/open/274.mjs
 * @url https://gitlab.schukai.com/oss/libraries/javascript/monster/-/issues/274
 * @description update and check form, button and datasources
 * @issue 274
 */


import "../../../source/components/style/property.pcss";
import "../../../source/components/style/link.pcss";
import "../../../source/components/style/color.pcss";
import "../../../source/components/style/theme.pcss";
import "../../../source/components/style/normalize.pcss";
import "../../../source/components/style/typography.pcss";
import "../../../source/components/datatable/datasource/rest.mjs";
import "../../../source/components/datatable/datasource/dom.mjs";
import "../../../source/components/datatable/dataset.mjs";
import "../../../source/components/datatable/status.mjs";
import "../../../source/components/datatable/change-button.mjs";
import "../../../source/components/datatable/save-button.mjs";
import "../../../source/components/datatable/pagination.mjs";
import "../../../source/components/datatable/filter.mjs";
import "../../../source/components/form/button.mjs";
import "../../../source/components/form/form.mjs";
import "../../../source/components/form/field-set.mjs";
import "../../../source/components/form/button-bar.mjs";
import "../../../source/components/form/toggle-switch.mjs";
import "../../../source/components/form/context-help.mjs";
import "../../../source/components/form/context-error.mjs";
import "../../../source/components/form/input-group.mjs";
import "../../../source/components/datatable/filter/input.mjs";
import "../../../source/components/datatable/filter/date-range.mjs";
import "../../../source/components/layout/tabs.mjs";


// DOM-Elemente für die Seiten-Datensätze
const pageData1 = document.getElementById("ds274-d");
const pageData2 = document.getElementById("ds274-r");
